Skip to content
Docs

Create a Global Config token

POSThttps://api.vercel.com/v1/global-config/{edgeConfigId}/token
Adds a token to an existing Global Config.
https://api.vercel.com/v1/global-config/{edgeConfigId}/token
const response = await fetch('https://api.vercel.com/v1/global-config/edgeConfigId/token?teamId=string&slug=string', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"label": "string"
}),
});
const data = await response.json();
console.log(data);
Response
{
"id": "icfg_1234567890",
"token": "string"
}
AuthorizationbearerToken

Default authentication mechanism

edgeConfigIdstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
labelstringRequired
201Success
idstringRequired
tokenstringRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error